
/**
 * A Person with name, age, and shoe size.
 * 
 * @author Stephen Bloch
 * @version Feb. 10, 2001, version 4
 */
public class Person
{
	// instance variables
	String firstName, lastName;
	int age;
	double shoeSize;

/** Constructor for a Person (sets all the information, but is called
	automatically every time a Person is created).
	@param firstNameArg   a String to set firstName equal to
	@param lastNameArg    a String to set lastName equal to
    @param ageArg         an int to set age equal to
    @param ssArg          a double to set shoeSize equal to
	@since version 4
*/
Person (String firstNameArg, String lastNameArg,
		int ageArg, double ssArg)
	{
	this.firstName = firstNameArg;
	this.lastName = lastNameArg;
	this.age = ageArg;
	this.shoeSize = ssArg;
	}

/** Format all the information about a Person in a String.
	@return a String of the form "(name) (name), (age) years old with size (shoe-size) shoes"
	@since version 2
*/
public String toString ()
	{
	return this.firstName + " " + this.lastName +
			", " + this.age + " years old with size " +
			this.shoeSize + " shoes";
	}

/** Where we put all the test cases.
	@since version 1
*/
static void test ()
	{
	System.out.println ("Testing Person version 4.");
	Person joe = new Person ();
/* The above statement doesn't compile any more; now that we have a
   constructor method, the compiler won't let you create a Person
   without specifying the information. */

	System.out.println ("joe: " + joe.toString ());

	joe.setInformation ("Joe", "Schmoe", 17, 9.5);
	System.out.println ("joe: " + joe.toString());
	
	joe.age = joe.age + 1; // or equivalently, joe.age += 1; or joe.age++;
	System.out.println ("joe: " + joe.toString());

	Person prof = new Person ();
	System.out.println ("prof: " + prof.toString());

	prof.setInformation ("Stephen","Bloch",37,10.5);
	System.out.println ("prof: " + prof.toString());
	}
}
